FUNCTION MERSI_CALIBRATE, BAND, DATA

;- Calibrate FY-3A MERSI bands 1,2,3

;- BAND = MERSI band number (1, 2, or 3)
;- DATA = MERSI image data (scaled integer in the range 0-4095)
;- OUTPUT = MERSI reflectance (0.0-1.0)

;- Set the slope and intercept for MERSI bands 1,2,3
;- (comes from attribute VIR_Cal_Coeff in the MERSI HDF5 file)
m = 0.01 * [0.0312, 0.0295, 0.0253]
b = 0.01 * [-7.5847, -6.3543, -3.2586]

;- Apply the calibration to the MERSI data
result = m[band - 1] * data + b[band - 1]
return, result

END
